Crystal Space: iPortalContainer Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPortalContainer Struct Reference
[Crystal Space 3D Engine]

A container for portals. More...

`#include <iengine/portalcontainer.h>`

Inheritance diagram for iPortalContainer:

[legend]
List of all members.

## Public Member Functions
virtual iPortal * | CreatePortal (csVector3 *vertices, int num)=0
| Create a new portal.
virtual void | Draw (iRenderView *rview)=0
| Render the portal container.
virtual iPortal * | GetPortal (int idx) const =0
| Get a specific portal.
virtual int | GetPortalCount () const =0
| Get the number of portals in this contain.
virtual void | RemovePortal (iPortal *portal)=0
| Remove a portal.

## Detailed Description

A container for portals.

Main creators of instances implementing this interface:

- iEngine::CreatePortalContainer()
- iEngine::CreatePortal()

Main ways to get pointers to this interface:

- scfQueryInterface<iMeshObject>() from a portal container mesh.

Main users of this interface:

- iEngine

Definition at line 50 of file portalcontainer.h.

## Member Function Documentation

virtual iPortal* iPortalContainer::CreatePortal | ( | csVector3 * | vertices,
|  | int | num |
| ) |  |  | `[pure virtual]`

Create a new portal.

virtual void iPortalContainer::Draw | ( | iRenderView * | rview | ) | `[pure virtual]`

Render the portal container.

virtual iPortal* iPortalContainer::GetPortal | ( | int | idx | ) | const`[pure virtual]`

Get a specific portal.

virtual int iPortalContainer::GetPortalCount | ( |  | ) | const`[pure virtual]`

Get the number of portals in this contain.

virtual void iPortalContainer::RemovePortal | ( | iPortal * | portal | ) | `[pure virtual]`

Remove a portal.

The documentation for this struct was generated from the following file:

- iengine/portalcontainer.h